com.pixelmed.ftp

## Class FTPSecurityType

- java.lang.Object
- - com.pixelmed.ftp.FTPSecurityType

    public class FTPSecurityType
    extends java.lang.Object

This class provides a description of the parameters of a remote FTP host.

### Field Summary

Fields
`static FTPSecurityType` `NONE`
`static FTPSecurityType` `TLS`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`static java.lang.String[]` `getListOfTypesAsString()`
`static FTPSecurityType` `selectFromDescription(java.lang.String description)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final FTPSecurityType NONE

#### TLS

    public static final FTPSecurityType TLS

### Method Detail

#### getListOfTypesAsString

    public static java.lang.String[] getListOfTypesAsString()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### selectFromDescription

    public static FTPSecurityType selectFromDescription(java.lang.String description)

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`